GET/api/v1/orders/:orderId查看订单详情

返回指定订单;订单所属用户与管理员可查。

Request

Headers

NameData TypeRequiredDescription
AuthorizationstringYes会话令牌认证,格式 `Bearer <sessionToken>`
type RequestHeaders = {
  /** 会话令牌认证,格式 `Bearer <sessionToken>` */
  Authorization: string
}

URL Parameters

Name Data Type Description
orderId string 订单 ID

Response

Body

NameData TypeRequiredDescription
orderIdstringYes订单 ID
userIdstringYes用户 ID
titlestringYes订单标题
businessServicestringYes业务服务
amountnumberYes金额
currencystringYes币种
statusstringYespending / paid / canceled / refunded
createdAtstringYes创建时间
paidAtstringNo支付时间
canceledAtstringNo取消时间
refundedAtstringNo退款时间
type ResponseBody = {
  /** 订单 ID */
  orderId: string
  /** 用户 ID */
  userId: string
  /** 订单标题 */
  title: string
  /** 业务服务 */
  businessService: string
  /** 金额 */
  amount: number
  /** 币种 */
  currency: string
  /** pending / paid / canceled / refunded */
  status: string
  /** 创建时间 */
  createdAt: string
  /** 支付时间 */
  paidAt?: string
  /** 取消时间 */
  canceledAt?: string
  /** 退款时间 */
  refundedAt?: string
}
{
  "orderId": "01JD8SNZFT8A1B7HB",
  "userId": "01JD8SEGQ0P9N2XK4L7VDH3T6C",
  "title": "Xeegam Cloud · 专业版年付",
  "businessService": "cloud",
  "amount": 288,
  "currency": "USD",
  "status": "paid",
  "createdAt": "2026-10-14T15:00:00Z",
  "paidAt": "2026-10-14T15:03:12Z"
}

HTTP Code

HTTP Status Meaning Notes
200 成功 返回订单详情

Response Code

响应使用统一信封 {id, code, messages, result},其 code 字段:

code Meaning Notes
0 成功 返回订单详情

Examples

GET /api/v1/orders/01JD8SNZFT8A1B7HB
Authorization: Bearer st_7c1f9e05b28d4a63
{
  "id": "01JD8SSRHM6H4JC",
  "code": 0,
  "messages": [],
  "result": {
    "orderId": "01JD8SNZFT8A1B7HB",
    "userId": "01JD8SEGQ0P9N2XK4L7VDH3T6C",
    "title": "Xeegam Cloud · 专业版年付",
    "businessService": "cloud",
    "amount": 288,
    "currency": "USD",
    "status": "paid",
    "createdAt": "2026-10-14T15:00:00Z",
    "paidAt": "2026-10-14T15:03:12Z"
  }
}